Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have Gnome Classic installed from my 11.10 install. Whenever I try to boot into it on 12.04 beta, it gives me a black screen and does not load. Is there a way to see what is going on that it doesn't want to load? I really want to give classic a try.

share|improve this question
    
Did you install Gnome Classic from a PPA? –  Chan-Ho Suh Apr 24 '12 at 2:16
    
I don't quite remember...it's been a while. Is there a way to check? –  Ryan McClure Apr 24 '12 at 2:28
    
Type synaptic from the command line. A GUI should pop up; on the left you can select a button "Origin". You should then see in the left pane a list of repositories, including any PPAs you've added. Click on a PPA and you can see in the right pane the list of packages installed from it. –  Chan-Ho Suh Apr 24 '12 at 5:56
    
Actually, I don't think that's the problem, since gnome-session-fallback has been available for quite a while. But worth verifying that you didn't install it some other way. My other thought is you didn't mention if you had uninstalled anything, e.g. compiz. I think there should also be another session option called "Gnome Session (no effects)"; what happens if you try that one? –  Chan-Ho Suh Apr 24 '12 at 6:01
    
Gnome Session (no effects) did the trick! .facepalm. I still cant get the normal gnome session to work....oh well. I do have compiz installed. –  Ryan McClure Apr 24 '12 at 6:17
show 5 more comments

1 Answer

up vote 1 down vote accepted

Compiz with gnome classic on 12.04 is extremely buggy. For starters it takes a very long time to load (it shows a black screen for nearly a minute.) Perhaps you just needed to wait a bit longer?

In any case, once it does load there are lots more bugs, graphical and otherwise. All of these bugs are caused by compiz 0.9.x. The only sensible way to use gnome-panel with compiz is to downgrade compiz to 0.8.x, though this will mean you cannot use Unity on the same machine.

It's also possible to enable metacity compositing in Gnome Classic (no effects) by using gconf-editor to set "/apps/metacity/general/compositing_manager" and "/apps/metacity/general/compositor_effects" to True. However, this does not give you everything that you get from compiz.

share|improve this answer
    
"downgrade compiz to 0.8x" ... interesting - how do you do that? - adding that info will make this a great answer :) –  fossfreedom May 20 '12 at 20:45
    
Well, it involves purging compiz (and therefore Unity) and then installing it from source... –  Alistair Buxton May 20 '12 at 23:32
    
I waited about 2 minutes and it loaded, no problems. :) Patience is a virtue, that's for sure. –  Ryan McClure May 22 '12 at 5:00
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.